Package org.flowable.bpmn.model

# Class BpmnModel

java.lang.Object
org.flowable.bpmn.model.BpmnModel

public class BpmnModel extends Object

Author:
  Tijs Rademakers, Joram Barrez

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Map<String,DataStore>`
  `dataStoreMap`
  `protected Map<String,List<ExtensionAttribute>>`
  `definitionsAttributes`
  `protected Map<String,BpmnDiEdge>`
  `edgeMap`
  `protected Map<String,String>`
  `errorMap`
  `protected Map<String,Escalation>`
  `escalationMap`
  `protected Object`
  `eventSupport`
  `protected String`
  `exporter`
  `protected String`
  `exporterVersion`
  `protected Map<String,List<GraphicInfo>>`
  `flowLocationMap`
  `protected List<Artifact>`
  `globalArtifacts`
  `protected List<Import>`
  `imports`
  `protected List<Interface>`
  `interfaces`
  `protected Map<String,ItemDefinition>`
  `itemDefinitionMap`
  `protected Map<String,GraphicInfo>`
  `labelLocationMap`
  `protected Map<String,GraphicInfo>`
  `locationMap`
  `protected Map<String,MessageFlow>`
  `messageFlowMap`
  `protected Map<String,Message>`
  `messageMap`
  `protected Map<String,String>`
  `namespaceMap`
  `protected List<Pool>`
  `pools`
  `protected List<Process>`
  `processes`
  `protected List<Resource>`
  `resources`
  `protected List<Signal>`
  `signals`
  `protected String`
  `sourceSystemId`
  `protected List<String>`
  `startEventFormTypes`
  `protected String`
  `targetNamespace`
  `protected List<String>`
  `userTaskFormTypes`
  `protected Map<String,List<String>>`
  `variableListenerToActivityMap`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BpmnModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addActivityIdForVariableListenerName(String variableName, String activityId)`
  `void`
  `addDataStore(String id, DataStore dataStore)`
  `void`
  `addDefinitionsAttribute(ExtensionAttribute attribute)`
  `void`
  `addEdgeInfo(String key, BpmnDiEdge edgeInfo)`
  `void`
  `addError(String errorRef, String errorCode)`
  `void`
  `addEscalation(String escalationRef, String escalationCode, String name)`
  `void`
  `addEscalation(Escalation escalation)`
  `void`
  `addFlowGraphicInfoList(String key, List<GraphicInfo> graphicInfoList)`
  `void`
  `addGraphicInfo(String key, GraphicInfo graphicInfo)`
  `void`
  `addItemDefinition(String id, ItemDefinition item)`
  `void`
  `addLabelGraphicInfo(String key, GraphicInfo graphicInfo)`
  `void`
  `addMessage(Message message)`
  `void`
  `addMessageFlow(MessageFlow messageFlow)`
  `void`
  `addNamespace(String prefix, String uri)`
  `void`
  `addProcess(Process process)`
  `void`
  `addResource(Resource resource)`
  `void`
  `addSignal(Signal signal)`
  `boolean`
  `containsDataStore(String id)`
  `boolean`
  `containsErrorRef(String errorRef)`
  `boolean`
  `containsEscalationRef(String escalationRef)`
  `boolean`
  `containsItemDefinitionId(String id)`
  `boolean`
  `containsMessageFlowId(String messageFlowId)`
  `boolean`
  `containsMessageId(String messageId)`
  `boolean`
  `containsNamespacePrefix(String prefix)`
  `boolean`
  `containsResourceId(String resourceId)`
  `boolean`
  `containsSignalId(String signalId)`
  `boolean`
  `containsVariableListenerForVariableName(String variableName)`
  `List<String>`
  `getActivityIdsForVariableListenerName(String variableName)`
  `Artifact`
  `getArtifact(String id)`
  `protected Artifact`
  `getArtifactInSubProcess(String id, SubProcess subProcess)`
  `DataStore`
  `getDataStore(String id)`
  `Map<String,DataStore>`
  `getDataStores()`
  `Map<String,List<ExtensionAttribute>>`
  `getDefinitionsAttributes()`
  `String`
  `getDefinitionsAttributeValue(String namespace, String name)`
  `BpmnDiEdge`
  `getEdgeInfo(String key)`
  `Map<String,BpmnDiEdge>`
  `getEdgeMap()`
  `Map<String,String>`
  `getErrors()`
  `Escalation`
  `getEscalation(String escalationRef)`
  `Collection<Escalation>`
  `getEscalations()`
  `Object`
  `getEventSupport()`
  `String`
  `getExporter()`
  `String`
  `getExporterVersion()`
  `FlowElement`
  `getFlowElement(String id)`
  `protected FlowElement`
  `getFlowElementInSubProcess(String id, SubProcess subProcess)`
  `List<GraphicInfo>`
  `getFlowLocationGraphicInfo(String key)`
  `Map<String,List<GraphicInfo>>`
  `getFlowLocationMap()`
  `List<Artifact>`
  `getGlobalArtifacts()`
  `GraphicInfo`
  `getGraphicInfo(String key)`
  `List<Import>`
  `getImports()`
  `List<Interface>`
  `getInterfaces()`
  `Map<String,ItemDefinition>`
  `getItemDefinitions()`
  `GraphicInfo`
  `getLabelGraphicInfo(String key)`
  `Map<String,GraphicInfo>`
  `getLabelLocationMap()`
  `Lane`
  `getLane(String id)`
  `Map<String,GraphicInfo>`
  `getLocationMap()`
  `Process`
  `getMainProcess()`
  `Message`
  `getMessage(String id)`
  `MessageFlow`
  `getMessageFlow(String id)`
  `Map<String,MessageFlow>`
  `getMessageFlows()`
  `Collection<Message>`
  `getMessages()`
  `String`
  `getNamespace(String prefix)`
  `Map<String,String>`
  `getNamespaces()`
  `Pool`
  `getPool(String id)`
  `List<Pool>`
  `getPools()`
  `Process`
  `getProcess(String poolRef)`
  `Process`
  `getProcessById(String id)`
  `List<Process>`
  `getProcesses()`
  `Resource`
  `getResource(String id)`
  `Collection<Resource>`
  `getResources()`
  `Signal`
  `getSignal(String id)`
  `Collection<Signal>`
  `getSignals()`
  `String`
  `getSourceSystemId()`
  `List<String>`
  `getStartEventFormTypes()`
  `String`
  `getTargetNamespace()`
  `List<String>`
  `getUserTaskFormTypes()`
  `boolean`
  `hasVariableListeners()`
  `void`
  `removeFlowGraphicInfoList(String key)`
  `void`
  `removeGraphicInfo(String key)`
  `void`
  `removeLabelGraphicInfo(String key)`
  `void`
  `setDataStores(Map<String,DataStore> dataStoreMap)`
  `void`
  `setDefinitionsAttributes(Map<String,List<ExtensionAttribute>> attributes)`
  `void`
  `setErrors(Map<String,String> errorMap)`
  `void`
  `setEscalations(Map<String,Escalation> escalationMap)`
  `void`
  `setEventSupport(Object eventSupport)`
  `void`
  `setExporter(String exporter)`
  `void`
  `setExporterVersion(String exporterVersion)`
  `void`
  `setGlobalArtifacts(List<Artifact> globalArtifacts)`
  `void`
  `setImports(List<Import> imports)`
  `void`
  `setInterfaces(List<Interface> interfaces)`
  `void`
  `setItemDefinitions(Map<String,ItemDefinition> itemDefinitionMap)`
  `void`
  `setMessageFlows(Map<String,MessageFlow> messageFlows)`
  `void`
  `setMessages(Collection<Message> messageList)`
  `void`
  `setPools(List<Pool> pools)`
  `void`
  `setResources(Collection<Resource> resourceList)`
  `void`
  `setSignals(Collection<Signal> signalList)`
  `void`
  `setSourceSystemId(String sourceSystemId)`
  `void`
  `setStartEventFormTypes(List<String> startEventFormTypes)`
  `void`
  `setTargetNamespace(String targetNamespace)`
  `void`
  `setUserTaskFormTypes(List<String> userTaskFormTypes)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### definitionsAttributes

    protected Map<String,List<ExtensionAttribute>> definitionsAttributes

  - ### processes

    protected List<Process> processes

  - ### locationMap

    protected Map<String,GraphicInfo> locationMap

  - ### labelLocationMap

    protected Map<String,GraphicInfo> labelLocationMap

  - ### flowLocationMap

    protected Map<String,List<GraphicInfo>> flowLocationMap

  - ### edgeMap

    protected Map<String,BpmnDiEdge> edgeMap

  - ### signals

    protected List<Signal> signals

  - ### messageFlowMap

    protected Map<String,MessageFlow> messageFlowMap

  - ### messageMap

    protected Map<String,Message> messageMap

  - ### variableListenerToActivityMap

    protected Map<String,List<String>> variableListenerToActivityMap

  - ### errorMap

    protected Map<String,String> errorMap

  - ### escalationMap

    protected Map<String,Escalation> escalationMap

  - ### itemDefinitionMap

    protected Map<String,ItemDefinition> itemDefinitionMap

  - ### dataStoreMap

    protected Map<String,DataStore> dataStoreMap

  - ### pools

    protected List<Pool> pools

  - ### imports

    protected List<Import> imports

  - ### interfaces

    protected List<Interface> interfaces

  - ### globalArtifacts

    protected List<Artifact> globalArtifacts

  - ### resources

    protected List<Resource> resources

  - ### namespaceMap

    protected Map<String,String> namespaceMap

  - ### targetNamespace

    protected String targetNamespace

  - ### sourceSystemId

    protected String sourceSystemId

  - ### userTaskFormTypes

    protected List<String> userTaskFormTypes

  - ### startEventFormTypes

    protected List<String> startEventFormTypes

  - ### eventSupport

    protected Object eventSupport

  - ### exporter

    protected String exporter

  - ### exporterVersion

    protected String exporterVersion

- ## Constructor Details

  - ### BpmnModel

    public BpmnModel()

- ## Method Details

  - ### getDefinitionsAttributes

    public Map<String,List<ExtensionAttribute>> getDefinitionsAttributes()

  - ### getDefinitionsAttributeValue

    public String getDefinitionsAttributeValue(String namespace, String name)

  - ### addDefinitionsAttribute

    public void addDefinitionsAttribute(ExtensionAttribute attribute)

  - ### setDefinitionsAttributes

    public void setDefinitionsAttributes(Map<String,List<ExtensionAttribute>> attributes)

  - ### getMainProcess

    public Process getMainProcess()

  - ### getProcess

    public Process getProcess(String poolRef)

  - ### getProcessById

    public Process getProcessById(String id)

  - ### getProcesses

    public List<Process> getProcesses()

  - ### addProcess

    public void addProcess(Process process)

  - ### getPool

    public Pool getPool(String id)

  - ### getLane

    public Lane getLane(String id)

  - ### getFlowElement

    public FlowElement getFlowElement(String id)

  - ### getFlowElementInSubProcess

    protected FlowElement getFlowElementInSubProcess(String id, SubProcess subProcess)

  - ### getArtifact

    public Artifact getArtifact(String id)

  - ### getArtifactInSubProcess

    protected Artifact getArtifactInSubProcess(String id, SubProcess subProcess)

  - ### addGraphicInfo

    public void addGraphicInfo(String key, GraphicInfo graphicInfo)

  - ### getGraphicInfo

    public GraphicInfo getGraphicInfo(String key)

  - ### removeGraphicInfo

    public void removeGraphicInfo(String key)

  - ### getFlowLocationGraphicInfo

    public List<GraphicInfo> getFlowLocationGraphicInfo(String key)

  - ### removeFlowGraphicInfoList

    public void removeFlowGraphicInfoList(String key)

  - ### getEdgeInfo

    public BpmnDiEdge getEdgeInfo(String key)

  - ### addEdgeInfo

    public void addEdgeInfo(String key, BpmnDiEdge edgeInfo)

  - ### getLocationMap

    public Map<String,GraphicInfo> getLocationMap()

  - ### getFlowLocationMap

    public Map<String,List<GraphicInfo>> getFlowLocationMap()

  - ### getEdgeMap

    public Map<String,BpmnDiEdge> getEdgeMap()

  - ### getLabelGraphicInfo

    public GraphicInfo getLabelGraphicInfo(String key)

  - ### addLabelGraphicInfo

    public void addLabelGraphicInfo(String key, GraphicInfo graphicInfo)

  - ### removeLabelGraphicInfo

    public void removeLabelGraphicInfo(String key)

  - ### getLabelLocationMap

    public Map<String,GraphicInfo> getLabelLocationMap()

  - ### addFlowGraphicInfoList

    public void addFlowGraphicInfoList(String key, List<GraphicInfo> graphicInfoList)

  - ### getResources

    public Collection<Resource> getResources()

  - ### setResources

    public void setResources(Collection<Resource> resourceList)

  - ### addResource

    public void addResource(Resource resource)

  - ### containsResourceId

    public boolean containsResourceId(String resourceId)

  - ### getResource

    public Resource getResource(String id)

  - ### getSignals

    public Collection<Signal> getSignals()

  - ### setSignals

    public void setSignals(Collection<Signal> signalList)

  - ### addSignal

    public void addSignal(Signal signal)

  - ### containsSignalId

    public boolean containsSignalId(String signalId)

  - ### getSignal

    public Signal getSignal(String id)

  - ### getMessageFlows

    public Map<String,MessageFlow> getMessageFlows()

  - ### setMessageFlows

    public void setMessageFlows(Map<String,MessageFlow> messageFlows)

  - ### addMessageFlow

    public void addMessageFlow(MessageFlow messageFlow)

  - ### getMessageFlow

    public MessageFlow getMessageFlow(String id)

  - ### containsMessageFlowId

    public boolean containsMessageFlowId(String messageFlowId)

  - ### getMessages

    public Collection<Message> getMessages()

  - ### setMessages

    public void setMessages(Collection<Message> messageList)

  - ### addMessage

    public void addMessage(Message message)

  - ### getMessage

    public Message getMessage(String id)

  - ### containsMessageId

    public boolean containsMessageId(String messageId)

  - ### getActivityIdsForVariableListenerName

    public List<String> getActivityIdsForVariableListenerName(String variableName)

  - ### addActivityIdForVariableListenerName

    public void addActivityIdForVariableListenerName(String variableName, String activityId)

  - ### containsVariableListenerForVariableName

    public boolean containsVariableListenerForVariableName(String variableName)

  - ### hasVariableListeners

    public boolean hasVariableListeners()

  - ### getErrors

    public Map<String,String> getErrors()

  - ### setErrors

    public void setErrors(Map<String,String> errorMap)

  - ### addError

    public void addError(String errorRef, String errorCode)

  - ### containsErrorRef

    public boolean containsErrorRef(String errorRef)

  - ### getEscalations

    public Collection<Escalation> getEscalations()

  - ### setEscalations

    public void setEscalations(Map<String,Escalation> escalationMap)

  - ### addEscalation

    public void addEscalation(String escalationRef, String escalationCode, String name)

  - ### addEscalation

    public void addEscalation(Escalation escalation)

  - ### containsEscalationRef

    public boolean containsEscalationRef(String escalationRef)

  - ### getEscalation

    public Escalation getEscalation(String escalationRef)

  - ### getItemDefinitions

    public Map<String,ItemDefinition> getItemDefinitions()

  - ### setItemDefinitions

    public void setItemDefinitions(Map<String,ItemDefinition> itemDefinitionMap)

  - ### addItemDefinition

    public void addItemDefinition(String id, ItemDefinition item)

  - ### containsItemDefinitionId

    public boolean containsItemDefinitionId(String id)

  - ### getDataStores

    public Map<String,DataStore> getDataStores()

  - ### setDataStores

    public void setDataStores(Map<String,DataStore> dataStoreMap)

  - ### getDataStore

    public DataStore getDataStore(String id)

  - ### addDataStore

    public void addDataStore(String id, DataStore dataStore)

  - ### containsDataStore

    public boolean containsDataStore(String id)

  - ### getPools

    public List<Pool> getPools()

  - ### setPools

    public void setPools(List<Pool> pools)

  - ### getImports

    public List<Import> getImports()

  - ### setImports

    public void setImports(List<Import> imports)

  - ### getInterfaces

    public List<Interface> getInterfaces()

  - ### setInterfaces

    public void setInterfaces(List<Interface> interfaces)

  - ### getGlobalArtifacts

    public List<Artifact> getGlobalArtifacts()

  - ### setGlobalArtifacts

    public void setGlobalArtifacts(List<Artifact> globalArtifacts)

  - ### addNamespace

    public void addNamespace(String prefix, String uri)

  - ### containsNamespacePrefix

    public boolean containsNamespacePrefix(String prefix)

  - ### getNamespace

    public String getNamespace(String prefix)

  - ### getNamespaces

    public Map<String,String> getNamespaces()

  - ### getTargetNamespace

    public String getTargetNamespace()

  - ### setTargetNamespace

    public void setTargetNamespace(String targetNamespace)

  - ### getSourceSystemId

    public String getSourceSystemId()

  - ### setSourceSystemId

    public void setSourceSystemId(String sourceSystemId)

  - ### getUserTaskFormTypes

    public List<String> getUserTaskFormTypes()

  - ### setUserTaskFormTypes

    public void setUserTaskFormTypes(List<String> userTaskFormTypes)

  - ### getStartEventFormTypes

    public List<String> getStartEventFormTypes()

  - ### setStartEventFormTypes

    public void setStartEventFormTypes(List<String> startEventFormTypes)

  - ### getEventSupport

    public Object getEventSupport()

  - ### setEventSupport

    public void setEventSupport(Object eventSupport)

  - ### getExporter

    public String getExporter()

  - ### setExporter

    public void setExporter(String exporter)

  - ### getExporterVersion

    public String getExporterVersion()

  - ### setExporterVersion

    public void setExporterVersion(String exporterVersion)